# BEGIN SourceDeps(oneline):
BuildRequires: perl(Alien/Build.pm) perl(Alien/Build/Plugin.pm) perl(Capture/Tiny.pm) perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Alien/Build.pm) perl(Test/Exit.pm) perl(Test2/Mock.pm) perl(Test2/V0.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_name Alien-Build-Plugin-Fetch-Prompt
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.59
Release: alt1
Summary: Alien::Build plugin to prompt a user before making external download
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Alien::Build::Plugin::Fetch::Prompt

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This plugin allows you to force the Alien::Build manpage to prompt the user and ask for permission
before downloading anything from the internet.  It uses the the ExtUtils::MakeMaker manpage `prompt'
function, so that it will do the sensible thing, like not infinitely halt install on
non-interactive installs.  The default response is `yes', which is usually reasonable
(and the default if you do not use this plugin at all), but you may change this by using
the `ALIEN_DOWNLOAD' environment variable (see below).

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE author.yml
%perl_vendor_privlib/A*

%changelog
* Sun Jan 21 2018 Igor Vlasenko <viy@altlinux.ru> 0.59-alt1
- initial import by package builder

